> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Importar gastos desde archivo Excel/CSV

> Operacion: Importar gastos desde archivo Excel/CSV.



## OpenAPI

````yaml /generated/specs/finance.json post /api/v1/expense/import
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/expense/import:
    post:
      tags:
        - Cuentas por Pagar - Gastos
      summary: Importar gastos desde archivo Excel/CSV
      description: 'Operacion: Importar gastos desde archivo Excel/CSV.'
      operationId: ExpenseController_importExpenses
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResultDto'
      security:
        - bearerAuth: []
components:
  schemas:
    ImportResultDto:
      type: object
      properties:
        total_rows:
          type: number
        inserted:
          type: number
        duplicates:
          type: number
        failed:
          type: number
        suppliers_created:
          type: number
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ImportErrorDto'
        import_id:
          type: string
      required:
        - total_rows
        - inserted
        - duplicates
        - failed
        - suppliers_created
        - errors
        - import_id
    ImportErrorDto:
      type: object
      properties:
        row:
          type: number
        field:
          type: string
        value:
          type: string
        message:
          type: string
      required:
        - row
        - field
        - value
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````